Returns workspace absences.

GEThttps://api.awork.com/api/v1/workspaceabsences
GET https://api.awork.com/api/v1/workspaceabsences

Returns workspace absences. Gets all workspace absences.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the entity.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

startOnstringOptional
format: date-time

The start time of the workspace absence.

endOnstringOptional
format: date-time

The end time of the workspace absence.

descriptionstring or nullOptional

The description of the absence.

regionIdstring or nullOptional
format: uuid

The (optional) regionId of the workspace absence. If null, the absence is global for the entire workspace. Otherwise, it will be applied only to the users of the region.

regionstring or nullOptional

The name of the region of the workspace absence. Null if the absence is global for the entire workspace.

isReadOnlybooleanOptional

If it's true it means that this Absence is read-only and cannot be edited/deleted by the user.

isHalfDayOnStartbooleanOptional

If it's true and it's a single day absence means that the absence is for the first half of the workday. If it's a multi day absence it started on the second half of the first day of the absence period.

isHalfDayOnEndbooleanOptional

If it's true and it's a single day absence means that the absence is for the second half of the workday. If it's a multi day absence it ended on the first half of the last day of the absence period.

Search documentation